package com.steerinfo.ems.dispatchenergylog.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class DispatchEnergyLog implements IBasePO<String> {
    /**
     * 日志编号(CLOCK,VARCHAR,20)
     */
    @ApiModelProperty(value="日志编号",required=true)
    private String clock;

    /**
     * 上级命令(ORDER_LOG,VARCHAR,1000)
     */
    @ApiModelProperty(value="上级命令",required=false)
    private String orderLog;

    /**
     * 重要记事(DLOG,VARCHAR,1000)
     */
    @ApiModelProperty(value="重要记事",required=false)
    private String dlog;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.clock;
    }

    @Override
    public void setId(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getOrderLog() {
        return orderLog;
    }

    public void setOrderLog(String orderLog) {
        this.orderLog = orderLog == null ? null : orderLog.trim();
    }

    public String getDlog() {
        return dlog;
    }

    public void setDlog(String dlog) {
        this.dlog = dlog == null ? null : dlog.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", orderLog=").append(orderLog);
        sb.append(", dlog=").append(dlog);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}